<?php
require_once("DBManager.class.php");

class calendario{
	private $id;///
	private $title;
	private $color;
	private $start;
	private $end;
	private $idpersona;
	/////////////////constructor/////////////////		
	public function BuscarPorPersona($vcod)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select * from events where(idpersona = '$vcod')");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
	            $this->id=$rs->fields["id"];
				$this->title=$rs->fields["title"];				
				$this->color=$rs->fields["color"];	
				$this->start=$rs->fields["start"];
				$this->end=$rs->fields["end"];
				$this->idpersona=$rs->fields["idpersona"];
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	
	/////////////////////////////////////////							
	
	public function getid(){ return $this->id;}
	public function gettitle(){ return $this->title;}
	public function getcolor(){ return $this->color;}
	public function getstart(){ return $this->start;}
	public function getend(){ return $this->end;}
	public function getidpersona(){ return $this->idpersona;}
}
?>